Crea un link relativo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std LinkMakeRelative and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Pagina precedente: Std LinkMake.svg Crea link
Pagina successiva: Sostituisci con il link Std LinkReplace.svg Arrow-right.svg

Std LinkMakeRelative.svg Crea un link relativo

Posizione nel menu
Nessuna
Ambiente
Tutti
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Parte, Gruppo, Crea un link

Descrizione

Lo strumento Std LinkMakeRelative.svg Crea un link relativo crea un App Link (classe App::Link), così come fa Std LinkMake.svg Crea un link, ma opera prima sui sottoelementi selezionati e imposta DatiLink Transform su True.

Utilizzo

Con selezione:

  1. Selezionare un sottoelemento nella vista 3D, ad esempio un vertice, uno spigolo o una faccia o una qualsiasi combinazione di questi. Questi sottoelementi devono appartenere a un singolo oggetto.
  2. Premere il pulsante Std LinkMakeRelative.svg Crea un link relativo. L'oggetto prodotto ha la stessa icona dell'oggetto originale, ma ha due frecce sovrapposte che indicano che è un collegamento relativo.

Senza selezione:

  • Se non è selezionato alcun oggetto, questo comando non fa nulla.
  • Se un oggetto è selezionato solo nella vista ad albero, ma nella vista 3D non è selezionato nessun sottoelemento, questo comando non fa nulla.

Std Link tree sublink example.png Std Link sublink example.png

Corpo originale e tre collegamenti creati dai suoi elementi secondari, inclusi bordi e facce.

Proprietà

Questo comando crea un nuovo App Link; le sue proprietà sono descritte in Std LinkMake.svg Crea un link.

In particolare, DatiLink Transform è impostata su True, quindi DatiPlacement viene nascosto e invece DatiLink Placement controlla la posizione del Link rispetto alla posizione di DatiLinked Object.

Script

Vedere Crea link per le informazioni generali.

Viene creato un App Link con il metodo addObject() del documento. Per definire un collegamento relativo, il suo metodo setLink viene utilizzato per selezionare l'oggetto sorgente e uno o più dei suoi sottoelementi. Quindi l'attributo LinkTransform è impostato su True.

import FreeCAD as App

doc = App.newDocument()
body = App.ActiveDocument.addObject("Part::Box", "Box")

obj = App.ActiveDocument.addObject("App::Link", "Link")
obj.setLink(body, '', ['Edge1', 'Edge6', 'Edge7', 'Edge10', 'Face2', 'Face3'])
obj.LinkTransform = True
obj.LinkPlacement.Base = App.Vector(20, 20, 0)
App.ActiveDocument.recompute()


Arrow-left.svg Pagina precedente: Std LinkMake.svg Crea link
Pagina successiva: Sostituisci con il link Std LinkReplace.svg Arrow-right.svg